﻿using System;
using System.Collections.Generic;

namespace theGame
{
	public class Game
	{
		public bool GameOver;

		public PlayerCraft playerCraft;

		public int ViewWidth;
		public int ViewHeight;

		public List<Item> rocks;

		public Game()
		{
			this.GameOver = false;

			this.ViewWidth = 78;
			this.ViewHeight = 20;

			this.playerCraft = new PlayerCraft();
			playerCraft.positionX = 7;
			playerCraft.positionY = 12;

			rocks = new List<Item>();

			Item rock1 = new Item();
			rock1.points.Add(new ItemPoint() { relativeCordX = 0, relativeCordY = 0, symbol = '#' });
			rock1.points.Add(new ItemPoint() { relativeCordX = -1, relativeCordY = 0, symbol = '#' });
			rock1.points.Add(new ItemPoint() { relativeCordX = 1, relativeCordY = 0, symbol = '#' });
			rock1.points.Add(new ItemPoint() { relativeCordX = 0, relativeCordY = 1, symbol = '#' });
			rock1.points.Add(new ItemPoint() { relativeCordX = 0, relativeCordY = -1, symbol = '#' });
			rock1.positionX = 80;
			rock1.positionY = 5;

			Item rock2 = new Item();
			rock2.points.Add(new ItemPoint() { relativeCordX = 0, relativeCordY = 0, symbol = '#' });
			rock2.points.Add(new ItemPoint() { relativeCordX = -1, relativeCordY = 0, symbol = '#' });
			rock2.points.Add(new ItemPoint() { relativeCordX = 1, relativeCordY = 0, symbol = '#' });
			rock2.points.Add(new ItemPoint() { relativeCordX = 0, relativeCordY = 1, symbol = '#' });
			rock2.points.Add(new ItemPoint() { relativeCordX = 0, relativeCordY = -1, symbol = '#' });
			rock2.positionX = 85;
			rock2.positionY = 13;

			Item rock3 = new Item();
			rock3.points.Add(new ItemPoint() { relativeCordX = 0, relativeCordY = 0, symbol = '#' });
			rock3.points.Add(new ItemPoint() { relativeCordX = -1, relativeCordY = 0, symbol = '#' });
			rock3.points.Add(new ItemPoint() { relativeCordX = 1, relativeCordY = 0, symbol = '#' });
			rock3.points.Add(new ItemPoint() { relativeCordX = 0, relativeCordY = 1, symbol = '#' });
			rock3.points.Add(new ItemPoint() { relativeCordX = 0, relativeCordY = -1, symbol = '#' });
			rock3.positionX = 75;
			rock3.positionY = 17;

			rocks.Add(rock1);
			rocks.Add(rock2);
			rocks.Add(rock3);

		}

        public void DoMoves()
        {
            for (int i = 0; i < rocks.Count; i++)
            {
                rocks[i].positionX--;
            }

            int deleted_rock_index = -1;

            for (int i = 0; i < rocks.Count; i++)
            {
                if (rocks[i].positionX ==  playerCraft.positionX && rocks[i].positionY == playerCraft.positionY)
                {
                    deleted_rock_index = i;
                    playerCraft.Health = playerCraft.Health - 15;
                }
            }

            if (deleted_rock_index >= 0)
            {
                rocks.RemoveAt(deleted_rock_index);
            }
        }
	}
}
